E-ES: Elastic Search Interact Errors from Second Node (Doc ID 2287210.1)

Last updated on JULY 17, 2017

Applies to:

PeopleSoft Enterprise PT PeopleTools - Version 8.55 to 8.56 [Release 8.4]
Information in this document applies to any platform.

Symptoms

Elastic search interact
Elastic search interact link is now available in PeopleTools 8.55.14. Elasticsearch preferred install is with a 3 node cluster.   But when we testing the interact, it always works from one node only.
Error when trying from second node.

{"error":{"root_cause":[{"type":"orcl_auth_plugin_exception","reason":"Invalid user/password"}],"type":"orcl_auth_plugin_exception","reason":"Invalid user/password"},"status":401}

If you bring down the first node, interact works fine from second node.



Changes

 Interact is newly available with Pt 8.55.14. 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms